LT-COMP(1)

NAME
lt-comp - augmented letter transducer compiler for Apertium

SYNOPSIS
lt-comp [-a | -v | -l | -r | -m | -h] lr | rl dictionary_file output_file [acx_file]

DESCRIPTION
lt-comp is the application responsible for compiling dictionaries used by lt-proc(1) in Apertium into a compact and efficient representation (a class of finite-state transducers called augmented letter transducers).

OPTIONS

-a, - -alt
    Sets the value of the alt attribute to use in compilation.

    Note that if no value is set, all entries containing an alt attribute are omitted.

-v, - -var
    Sets the value of the v attribute to use in compilation. This should only be used with monodixes; for bidixes, see -l and -r.

    Note that if no value is set, all entries containing a v attribute are considered to be left-to-right.

-l, - -var-left
    Sets the value of the vl attribute for use in compilation of bidixes. “Left” here refers to the side of the dictionary, so this option is only valid in rl mode.

-r, - -var-right
    Sets the value of the vr attribute for use in compilation of bidixes. “Right” here refers to the side of the dictionary, so this option is only valid in lr mode.

-m, - -keep-boundaries
    Keep any morpheme boundaries defined by the '<m/>' symbol

-H, - -hfst
    expect HFST symbols

-S, - -no-split
    don't attempt to split into word and punctuation transducers

-j, - -jobs
    Parallelise minimisation by using one cpu core per section. By default, this also creates a new section after 50.000 entries. You can override this number by setting the environment variable LT_MAX_SECTION_ENTRIES to some number. If set to 0, sections are never split (but kept exactly as in the dix file). You can also set the environment variable LT_JOBS=true if you always want parallel minimisation even if lt-comp was called without this option.

-h, - -help
    Prints a short help message.

lr  The resulting transducer will process dictionary entries left-to-right.

rl  The resulting transducer will process dictionary entries right-to-left.

FILES

dictionary_file
    The input dictionary.

output_file
    The compiled dictionary (a finite state transducer).

acx_file
    Optional XML file of equivalent characters in monodices.

SEE ALSO
apertium(1), apertium-tagger(1), lt-expand(1), lt-proc(1)

COPYRIGHT
Copyright © 2005, 2006 Universitat d'Alacant / Universidad de Alicante. This is free software. You may redistribute copies of it under the terms of the GNU General Public License: https://www.gnu.org/licenses/gpl.html.

BUGS
Many... lurking in the dark and waiting for you!